//
//
//  ucrecode.pp - part of program UUECoder
//  Author : Andrew V. Sichevoi
//           2:6028/9@fidonet
//           sichevoi@mail.ru
//	     www.sichevoi.nm.ru
//
//  License: GNU GPL (v2.0 or high)
//
//

unit UCRecode;

 interface
 
uses
    UCParam,
    UCStr  ,
    DynArr ; 
 
//============================================================================= 
var
   InputCodePage  : pWordDynArray;
   OutputCodePage : pWordDynArray;

   {        
     InputCodePage  OutputCodePage }
   procedure InitCodeTable; 
   
//=============================================================================


 implementation

uses
    Recode;
 
//=============================================================================
{=[ InitCodeTable ]===========================================================}
procedure InitCodeTable; 
var
    F : Text;
    S : String;
    T : Array[1..2] of String;
begin

 Assign(F, _RTable);
 Reset(F);
 
 while (not EOF(F)) do begin
  Readln(F, S);
  if ((S[1] = CSym) or (S = CSym) or (S = '') or (S = '')) then continue;
  Words(S, T[1], T[2]);
  T[1]:= FromCF(T[1]);
  T[2]:= FromCF(T[2]);
  
  InputCodePage^.Insert(ToDec(T[1], 16));
  OutputCodePage^.Insert(ToDec(T[2], 16));
  
 end;
 
 Close(F);
  
end;
{=[ InitCodeTable ]===========================================================}

end.


